searchNodes=[{"doc":"This module provides the core functions for interacting with the typst markup language compiler. Note that when using the formatting directives, they are exactly the same as EEx , so all of its constructs are supported. Example # Write markup template = &quot;&quot;&quot; = Current Employees #table( columns: (1fr, auto, auto), [*User*], [*Salary*], [*Age*], &lt;%= employees %&gt; ) &quot;&quot;&quot; # Add some data employees = [ [ &quot;John&quot; , 2000 , 20 ] , [ &quot;Mary&quot; , 3500 , 26 ] , ] # Convert it to a nice-looking PDF { :ok , pdf_binary } = ExTypst . render_to_pdf ( template , employees : ExTypst.Format . table_content ( employees ) ) # Write to disk File . write! ( &quot;employees.pdf&quot; , pdf_binary ) # Or maybe send via email Bamboo.Email . put_attachment ( email , % Bamboo.Attachment { data : pdf_binary , filename : &quot;employees.pdf&quot; } )","ref":"ExTypst.html","title":"ExTypst","type":"module"},{"doc":"Converts a given piece of typst markup to a PDF binary. Examples iex&gt; { :ok , pdf } = ExTypst . render_to_pdf ( &quot;= test \\n &lt;%= name %&gt;&quot; , name : &quot;John&quot; ) iex&gt; is_binary ( pdf ) true","ref":"ExTypst.html#render_to_pdf/3","title":"ExTypst.render_to_pdf/3","type":"function"},{"doc":"Same as render_to_pdf/2 , but raises if the rendering fails.","ref":"ExTypst.html#render_to_pdf!/2","title":"ExTypst.render_to_pdf!/2","type":"function"},{"doc":"Formats the given markup template with the given bindings, mostly useful for inspecting and debugging. Examples iex&gt; ExTypst . render_to_string ( &quot;= Hey &lt;%= name %&gt;!&quot; , name : &quot;Jude&quot; ) &quot;= Hey Jude!&quot;","ref":"ExTypst.html#render_to_string/2","title":"ExTypst.render_to_string/2","type":"function"},{"doc":"","ref":"ExTypst.html#t:formattable/0","title":"ExTypst.formattable/0","type":"type"},{"doc":"","ref":"ExTypst.html#t:pdf_opt/0","title":"ExTypst.pdf_opt/0","type":"type"},{"doc":"Contains helper functions for converting elixir datatypes into the format that Typst expects","ref":"ExTypst.Format.html","title":"ExTypst.Format","type":"module"},{"doc":"Converts a series of columns mapped as a nested list to a format that can be plugged in an existing table. Examples iex&gt; columns = [ [ &quot;John&quot; , 10 , 20 ] , [ &quot;Alice&quot; , 20 , 30 ] ] iex&gt; ExTypst.Format . table_content ( columns ) ~s/&quot;John&quot;, &quot;10&quot;, &quot;20&quot;, \\n &quot;Alice&quot;, &quot;20&quot;, &quot;30&quot;/","ref":"ExTypst.Format.html#table_content/1","title":"ExTypst.Format.table_content/1","type":"function"},{"doc":"","ref":"ExTypst.Format.html#t:column_data/0","title":"ExTypst.Format.column_data/0","type":"type"}]